List Brands
Response
Array of brand objects
Brand industry (SaaS, E-commerce, Finance, Healthcare, Agency, Other)
Whether the brand is active
Example Request
curl -X GET "https://api.opensight.ai/api/brands" \
-H "Authorization: Bearer YOUR_API_KEY"
Example Response
{
"brands": [
{
"id": "brand_123",
"user_id": "user_456",
"name": "Acme Inc",
"website_url": "https://acme.com",
"industry": "SaaS",
"is_active": true,
"created_at": "2024-01-15T10:00:00Z",
"updated_at": "2024-01-15T10:00:00Z"
}
]
}
Create Brand
Request Body
Brand name (1-255 characters)
Brand industry (SaaS, E-commerce, Finance, Healthcare, Agency, Other)
Response
Example Request
curl -X POST "https://api.opensight.ai/api/brands" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Acme Inc",
"website_url": "https://acme.com",
"industry": "SaaS"
}'
Example Response
{
"brand": {
"id": "brand_123",
"user_id": "user_456",
"name": "Acme Inc",
"website_url": "https://acme.com",
"industry": "SaaS",
"is_active": true,
"created_at": "2024-01-15T10:00:00Z",
"updated_at": "2024-01-15T10:00:00Z"
}
}
Errors
- 403 Forbidden - Brand limit reached for your plan
- 400 Bad Request - Invalid input data
Get Brand
Path Parameters
Response
Example Request
curl -X GET "https://api.opensight.ai/api/brands/brand_123" \
-H "Authorization: Bearer YOUR_API_KEY"
Errors
- 404 Not Found - Brand not found or user doesn’t own it
Update Brand
Path Parameters
Request Body
Brand name (1-255 characters)
Whether to pin the brand in the UI
Response
Example Request
curl -X PATCH "https://api.opensight.ai/api/brands/brand_123" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Acme Corporation",
"pinned": true
}'
Errors
- 404 Not Found - Brand not found or user doesn’t own it
Delete Brand
Path Parameters
Response
Returns true if successful
Example Request
curl -X DELETE "https://api.opensight.ai/api/brands/brand_123" \
-H "Authorization: Bearer YOUR_API_KEY"
Errors
- 404 Not Found - Brand not found or user doesn’t own it
Get Brand Dashboard
Path Parameters
Response
Overall visibility score (0-100)
Scores per engineShow Engine scores properties
Perplexity visibility score
Google AI Overviews visibility score
Sentiment distributionShow Sentiment properties
Percentage of positive mentions
Percentage of neutral mentions
Percentage of negative mentions
Total number of brand mentions
Total number of active prompts
Array of recent changes
Change type: visibility_up, visibility_down, new_mention, sentiment_shift
Human-readable description
Engine where change occurred
Example Request
curl -X GET "https://api.opensight.ai/api/brands/brand_123/dashboard" \
-H "Authorization: Bearer YOUR_API_KEY"
Example Response
{
"overall_score": 72,
"engine_scores": {
"chatgpt": 75,
"perplexity": 68,
"google_aio": 73
},
"sentiment": {
"positive": 65,
"neutral": 30,
"negative": 5
},
"total_mentions": 45,
"total_prompts": 25,
"recent_changes": [
{
"id": "change_123",
"type": "visibility_up",
"description": "Visibility increased by 5 points on ChatGPT",
"engine": "chatgpt",
"change_value": 5,
"created_at": "2024-01-15T10:00:00Z"
}
]
}
Errors
- 404 Not Found - Brand not found or user doesn’t own it
Get Brand Trends
Path Parameters
Query Parameters
Time range: 7d, 14d, 30d, or 90d (default: 30d)
Response
Array of trend data pointsShow TrendDataPoint properties
Google AI Overviews score
Example Request
curl -X GET "https://api.opensight.ai/api/brands/brand_123/trends?range=30d" \
-H "Authorization: Bearer YOUR_API_KEY"
Example Response
{
"trends": [
{
"date": "2024-01-15",
"overall": 72,
"chatgpt": 75,
"perplexity": 68,
"google_aio": 73
},
{
"date": "2024-01-16",
"overall": 74,
"chatgpt": 77,
"perplexity": 70,
"google_aio": 75
}
]
}
Errors
- 404 Not Found - Brand not found or user doesn’t own it